All pages
Powered by GitBook
1 of 1

Loading...

Update webhook

put
Path parameters
idstringRequired

Id of webhook to update

Query parameters
selectstringOptional

RQL select statements

Body
webhookIdstringOptional
hasValuebooleanRead-onlyOptional
valuestring · nullableOptional
hasValuebooleanRead-onlyOptional
valuestring · uri · nullableOptional
hasValuebooleanRead-onlyOptional
Other propertiesstringOptional
hasValuebooleanRead-onlyOptional
valuestring · nullableOptional
hasValuebooleanRead-onlyOptional
callTimestring · date-timeOptional
responseTimestring · date-timeOptional
httpStatusCodestring · enumOptionalPossible values:
reasonPhrasestring · nullableOptional
successbooleanOptional
responsestring · nullableOptional
errorstring · nullableOptional
Other propertiesstringOptional
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestringOptional
urlstringOptional
descriptionstring · nullableOptional
statusstring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
secretstring · nullableOptional
totalinteger · int32Optional
successesinteger · int32Optional
failuresinteger · int32Optional
failuresSinceLastSuccessinteger · int32Optional
objectTypestring · enumOptionalPossible values:
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringRequired
namestringRequired
iconstring · nullableOptional
keystringOptional
valuestringOptional
successbooleanOptional
callTimestring · date-timeOptional
responseTimestring · date-time · nullableOptional
headersstring · nullableOptional
errorstring · nullableOptional
responsestring · nullableOptional
reasonPhrasestring · nullableOptional
httpStatusCodestring · enumOptionalPossible values:
successbooleanOptional
callTimestring · date-timeOptional
responseTimestring · date-time · nullableOptional
headersstring · nullableOptional
errorstring · nullableOptional
responsestring · nullableOptional
reasonPhrasestring · nullableOptional
httpStatusCodestring · enumOptionalPossible values:
successbooleanOptional
callTimestring · date-timeOptional
responseTimestring · date-time · nullableOptional
headersstring · nullableOptional
errorstring · nullableOptional
responsestring · nullableOptional
reasonPhrasestring · nullableOptional
httpStatusCodestring · enumOptionalPossible values:
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

put/public/v1/notifications/webhooks/{id}
PUT /public/v1/notifications/webhooks/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 417

{
  "webhookId": "text",
  "description": {
    "value": "text"
  },
  "url": {
    "value": "https://example.com"
  },
  "criteria": {
    "value": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "secret": {
    "value": "text"
  },
  "lastCall": {
    "value": {
      "callTime": "2026-01-01T00:00:00.000Z",
      "responseTime": "2026-01-01T00:00:00.000Z",
      "httpStatusCode": "Continue",
      "reasonPhrase": "text",
      "success": true,
      "response": "text",
      "error": "text",
      "headers": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    }
  }
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "name": "text",
  "url": "text",
  "description": "text",
  "status": "Enabled",
  "type": "ValidatePurchaseOrderDraft",
  "secret": "text",
  "statistics": {
    "total": 1,
    "successes": 1,
    "failures": 1,
    "failuresSinceLastSuccess": 1
  },
  "objectType": "Order",
  "account": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  },
  "object": {
    "id": "text",
    "name": "text",
    "icon": "text"
  },
  "criteria": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "lastSuccess": {
    "success": true,
    "callTime": "2026-01-01T00:00:00.000Z",
    "responseTime": "2026-01-01T00:00:00.000Z",
    "headers": "text",
    "error": "text",
    "response": "text",
    "reasonPhrase": "text",
    "httpStatusCode": "Continue"
  },
  "lastFailure": {
    "success": true,
    "callTime": "2026-01-01T00:00:00.000Z",
    "responseTime": "2026-01-01T00:00:00.000Z",
    "headers": "text",
    "error": "text",
    "response": "text",
    "reasonPhrase": "text",
    "httpStatusCode": "Continue"
  },
  "lastCall": {
    "success": true,
    "callTime": "2026-01-01T00:00:00.000Z",
    "responseTime": "2026-01-01T00:00:00.000Z",
    "headers": "text",
    "error": "text",
    "response": "text",
    "reasonPhrase": "text",
    "httpStatusCode": "Continue"
  }
}

Updates webhook.